Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class SharedEndpoints

    java.lang.Object
      org.apache.ode.bpel.engine.SharedEndpoints

    public class SharedEndpoints

extends java.lang.Object

An in-memory map from the endpoints provided by various processes in the server to their corresponding endpoint references.

Constructor Summary
`SharedEndpoints()` Creates a new SharedEndpoints object.

Method Summary
`void` | `addEndpoint(Endpoint endpoint, EndpointReference epr)` Add an endpoint along with its corresponding EPR
`boolean` | `decrementReferenceCount(Endpoint endpoint)` Decrement the number of BPEL processes who provide a service specifically at this endpoint.
`EndpointReference` | `getEndpointReference(Endpoint endpoint)` Get the EPR for an endpoint
`int` | `getReferenceCount(EndpointReference epr)`
`void` | `incrementReferenceCount(Endpoint endpoint)` Increment the number of BPEL processes who provide a service specifically at this endpoint.
`void` | `init()` This is called when the server is initializing
`void` | `removeEndpoint(Endpoint endpoint)` Remove an endpoint along with its EPR This is called when there are no more references to this endpoint from any BPEL process (which provides a service at this endpoint)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedEndpoints

    public SharedEndpoints()

  Creates a new SharedEndpoints object.

Method Detail

### init

    public void init()

  This is called when the server is initializing

### addEndpoint

    public void addEndpoint(Endpoint endpoint,
                            EndpointReference epr)

  Add an endpoint along with its corresponding EPR

  Parameters:
    `endpoint` - endpoint
    `epr` - epr

### removeEndpoint

    public void removeEndpoint(Endpoint endpoint)

  Remove an endpoint along with its EPR This is called when there are no more references to this endpoint from any BPEL process (which provides a service at this endpoint)

  Parameters:
    `endpoint` - endpoint

### getEndpointReference

    public EndpointReference getEndpointReference(Endpoint endpoint)

  Get the EPR for an endpoint

  Parameters:
    `endpoint` - endpoint
  Returns:
    type

### incrementReferenceCount

    public void incrementReferenceCount(Endpoint endpoint)

  Increment the number of BPEL processes who provide a service specifically at this endpoint.

  Parameters:
    `endpoint` - endpoint

### decrementReferenceCount

    public boolean decrementReferenceCount(Endpoint endpoint)

  Decrement the number of BPEL processes who provide a service specifically at this endpoint.

  Parameters:
    `endpoint` - endpoint
  Returns:
    type

### getReferenceCount

    public int getReferenceCount(EndpointReference epr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD